Qwt User's Guide 6.1.6

Public Member Functions | List of all members
QwtMathMLTextEngine Class Reference

Text Engine for the MathML renderer of the Qt solutions package. More...

`#include <qwt_mathml_text_engine.h>`

Inheritance diagram for QwtMathMLTextEngine:
[legend]

## Public Member Functions
| QwtMathMLTextEngine ()
| Constructor.
virtual | ~QwtMathMLTextEngine ()
| Destructor.
virtual double | heightForWidth (const QFont &font, int flags, const QString &text, double width) const
virtual QSizeF | textSize (const QFont &font, int flags, const QString &text) const
virtual void | draw (QPainter *painter, const QRectF &rect, int flags, const QString &text) const
virtual bool | mightRender (const QString &) const
virtual void | textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const
Public Member Functions inherited from QwtTextEngine
virtual | ~QwtTextEngine ()
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from QwtTextEngine
| QwtTextEngine ()
| Constructor.

## Detailed Description

Text Engine for the MathML renderer of the Qt solutions package.

To enable MathML support the following code needs to be added to the application:

#include <qwt_mathml_text_engine.h>
QwtText::setTextEngine( QwtText::MathMLText, new QwtMathMLTextEngine() );

See also
  QwtTextEngine, QwtText::setTextEngine

Warning
  Unfortunately the MathML renderer doesn't support rotating of texts.

## Member Function Documentation

## ◆ draw()

void QwtMathMLTextEngine::draw | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Draw the text in a clipping rectangle

Parameters

  painter | Painter
  rect | Clipping rectangle
  flags | Bitwise OR of the flags like in for QPainter::drawText
  text | Text to be rendered

Implements QwtTextEngine.

## ◆ heightForWidth()

double QwtMathMLTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | double | width
| ) |  | const
| virtual

Find the height for a given width

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered
  width | Width

Returns
  Calculated height

Implements QwtTextEngine.

## ◆ mightRender()

bool QwtMathMLTextEngine::mightRender | ( | const QString & | text | ) | const
| virtual

Test if a string can be rendered by QwtMathMLTextEngine

Parameters

  text | Text to be tested

Returns
  true, if text begins with "<math>".

Implements QwtTextEngine.

## ◆ textMargins()

void QwtMathMLTextEngine::textMargins | ( | const QFont & | ,
|  | const QString & | ,
|  | double & | left,
|  | double & | right,
|  | double & | top,
|  | double & | bottom
| ) |  | const
| virtual

Return margins around the texts

Parameters

  left | Return 0
  right | Return 0
  top | Return 0
  bottom | Return 0

Implements QwtTextEngine.

## ◆ textSize()

QSizeF QwtMathMLTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Returns the size, that is needed to render text

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered

Returns
  Caluclated size

Implements QwtTextEngine.

QwtMathMLTextEngine::QwtMathMLTextEngine
QwtMathMLTextEngine()
Constructor.
Definition: qwt_mathml_text_engine.cpp:16
QwtText::MathMLText
@ MathMLText
Definition: qwt_text.h:91
QwtText::setTextEngine
static void setTextEngine(QwtText::TextFormat, QwtTextEngine *)
Definition: qwt_text.cpp:656